Bug 535139 - (RHQ-1866) test resource permission: Configure
test resource permission: Configure
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Simeon Pinder
http://jira.rhq-project.org/browse/RH...
: SubTask
Depends On:
Blocks: RHQ-1848
  Show dependency treegraph
 
Reported: 2009-03-26 13:33 EDT by John Mazzitelli
Modified: 2009-11-10 16:22 EST (History)
0 users

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-03-26 13:33:00 EDT
test to make sure you can be permitted to reconfigure a resource. This may also be required to view the config - unsure what the design is - need to investigate what we want to have happen.
Comment 1 Simeon Pinder 2009-04-12 22:57:46 EDT
1) Created 'Everything' group including all discovered resources(See parent issue for details).
2) Create two additional user accounts i) u:none with no role perms and member of everything group. ii)u:configure w/ 'configure' perms and member of 'Everything'
3) Logged into the app from three separate browsers(FFx2 & IE) with three separate accounts

Following results obtained while viewing/testing " Logged in-> Resources -> Servers -> PostGres[postgres] -> Configure" 
#u:none - details shown but NO 'Edit' link/button is available.
#u:configure- details shown and ABLE to edit/change the 'Max Connections' attribute and successfully persist to JON inventory and postgresql.conf.
#u:rhqadmin - details shown and ABLE to edit/change the 'Max Connections' attribute and successfully persist to JON inventory and postgresql.conf..

Also checked to see if the edit url could be accessed from the user 'none', and it COULD be, but there was no 'Save' button to effect change of the properties modified.
Ex. http://127.0.0.1:7080/rhq/resource/configuration/edit.xhtml?id=500053&conversationId=64

The 'none' user COULD see the edit page link correctly.

SUMMARY: working as expected with a little extra visibility.
Comment 2 Simeon Pinder 2009-04-12 22:59:25 EDT
Now need to add test to this use case for when the user is NOT in the Everything group and to see if the recent changes to Group visibility still work as expected.
Comment 3 Simeon Pinder 2009-04-15 11:43:34 EDT
Works as advertised with the recent changes to Group visibility.  No additional bug discovered.
Comment 4 Simeon Pinder 2009-04-15 11:44:14 EDT
Works as advertised.
Comment 5 Red Hat Bugzilla 2009-11-10 15:48:24 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1866

Note You need to log in before you can comment on or make changes to this bug.